# Section

The `<Section>` tag is required for all components. It is a block-level tag that renders as an element in the outputted HTML.

```jsx
<Section dataRef={content.section} enableHeader={true}>
...
</Section>
```

## Attributes

* **dataRef**: DataLocator - The data-element storing the Section's configuration
* **className**: string (optional) - A hard-coded class name to add to the rendered element (Default: none)
* **defaultPaddingTop**: number (optional) - A number from 0-10 indicating the default top padding of the Section Box-Wrapper (Default: `8`)
* **defaultPaddingRight**: number (optional) - A number from 0-10 indicating the default right padding of the Section Box-Wrapper (Default: `2`)
* **defaultPaddingBottom**: number (optional) - A number from 0-10 indicating the default bottom padding of the Section Box-Wrapper (Default: `8`)
* **defaultPaddingLeft**: number (optional) - A number from 0-10 indicating the default left padding of the Section Box-Wrapper (Default: `2`)
* **defaultMaxWidth**: number (optional) - A number indicating the default max width in px of the Section Box-Wrapper (Default: `1200`)
* **defaultTextAlignment**: string (optional) - A string (`"left"`, `"right"`, or `"center"`) indicating the default alignment of the Section Box-Wrapper (Default: `"center"`)
* **defaultTextTheme**: string (optional) - A string (`"dark-bg"` or `"light-bg"`) indicating the default text theme to use for the component
* **defaultBackgroundColor**: string (optional) - A CSS color value indicating the default background color (Default: none)
* **enableHeader**: boolean (optional) - When true, allows content authors to add a section-header to this section type (Default: `false)`
* **location**: Array\<string> (optional) - Where the component can appear; can include `'header'`, `'main'`, and `'footer'` (Default: `['main']`)
* **properties**: Array<\[object]> (optional) - defines properties that content authors can configure within the page editor. For details see [custom properties](/docs/features/properties.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.unstack.com/docs/components/section.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
